%define anolis_release 1

# Run optional test
%bcond_without perl_BibTeX_Parser_enables_optional_test

Name:           perl-BibTeX-Parser
Version:        1.03
Release:        %{anolis_release}%{?dist}
Summary:        Pure Perl BibTeX parser
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/BibTeX-Parser
Source0:        https://cpan.metacpan.org/authors/id/B/BO/BORISV/BibTeX-Parser-%{version}.tar.gz
# Remove a strayed debugging output, CPAN RT#134350, proposed to the upstream
Patch0:         BibTeX-Parser-1.03-Remove-a-debugging-output-from-BibTeX-Parser-Entry-t.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(LaTeX::ToUnicode) >= 0.11
BuildRequires:  perl(overload)
# Tests:
BuildRequires:  perl(constant)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(utf8)
%if %{with perl_BibTeX_Parser_enables_optional_test}
# Optional tests:
BuildRequires:  perl(Pod::Coverage) >= 0.18
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
%endif
Requires:       perl(LaTeX::ToUnicode) >= 0.11

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(LaTeX::ToUnicode\\)$

%description
This is a BibTeX parser written in Perl.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n BibTeX-Parser-%{version}
%patch0 -p1
%if %{with perl_BibTeX_Parser_enables_optional_test}
rm t/*pod*;
perl -i -ne 'print $_ unless m{^t/.*pod.*}' MANIFEST
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset RELEASE_TESTING
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README 

%changelog
* Wed Apr 26 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.03-1
- Init upstream from version 1.03
